# Include jobs from external YAML files

You can include the jobs in this repository's YAML files as follows:

```yml
include:
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/npm-packages/artifactory.yml
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/npm-packages/build.yml
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/npm-packages/pages.yml
```

## jobs

### build

Check if dependencies exists.

### artifactory

Publish the package to Artifactory.

### pages

Trys to run the build process, and creates a dist folder with the result. Allowing to display an static website.

## Example

An example of a valid .gitlab-ci.yml can be:

```yml
include:
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/npm-packages/build.yml
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/npm-packages/artifactory.yml

stages:
  - build
  - deploy



```
